Bug 81879 - Presentation > Interaction > Play sound should accept relative paths
Summary: Presentation > Interaction > Play sound should accept relative paths
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Media ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2014-07-29 16:34 UTC by Christopher Brown
Modified: 2020-09-06 18:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brown 2014-07-29 16:34:41 UTC
The 'Play Sound' option in the 'Interaction' dialog should accept relative paths to the soundfiles. As it is now, it appears to accept only absolute paths, which makes this feature essentially broken/unusable if the presentation will occur on a different machine than the one used to create the presentation, since the file system will likely be different. Embedding the sound files would be a better improvement, but this would seem to be much more work. I am on linux, haven't tested on other platforms.
Comment 1 A (Andy) 2014-07-31 19:00:02 UTC
I would agree and mark it as an enhancement request.
Comment 2 Christopher Brown 2014-08-01 17:39:10 UTC
I view it more as a bug since to me, the feature cannot reasonably be expected to work (a user cannot/should not be expected to create and give the presentation on the same machine), and there is no way to make it work.
Comment 3 QA Administrators 2015-09-04 02:49:12 UTC Comment hidden (obsolete)
Comment 4 Robinson Tryon (qubit) 2015-12-10 07:26:34 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:40:58 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:17:54 UTC
Dear Christopher Brown,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug